org.eclipse.incquery.runtime.rete.index

## Class SpecializedProjectionIndexer

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.index.StandardIndexer
    - - org.eclipse.incquery.runtime.rete.index.SpecializedProjectionIndexer

- All Implemented Interfaces:
    java.lang.Iterable<Tuple>, Indexer, IterableIndexer, ProjectionIndexer, Node
  Direct Known Subclasses:
    IdentityIndexer, NullIndexer

      public abstract class SpecializedProjectionIndexer
      extends StandardIndexer
      implements ProjectionIndexer

  A specialized projection indexer that can be memory-less (relying on an external source of information).
  Author:
    Gabor Bergmann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpecializedProjectionIndexer(ReteContainer reteContainer, TupleMask mask, Supplier parent, Node activeNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getActiveNode()` This indexer will be updated whenever a Rete update is sent to the active node (or an equivalent time slot allotted to it).

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.index.StandardIndexer

      `assignTraceInfo, attachListener, detachListener, getContainer, getListeners, getMask, getParent`

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.index.IterableIndexer

      `getSignatures`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.index.Indexer

      `attachListener, detachListener, get, getListeners, getMask, getParent`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, assignTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### SpecializedProjectionIndexer

          public SpecializedProjectionIndexer(ReteContainer reteContainer,
                                              TupleMask mask,
                                              Supplier parent,
                                              Node activeNode)

  - ### Method Detail

    - #### getActiveNode

          public Node getActiveNode()

      Description copied from interface: `Indexer`
      This indexer will be updated whenever a Rete update is sent to the active node (or an equivalent time slot allotted to it). The active node is typically the indexer itself, but it can be a different node such as its parent.
      Specified by:
        `getActiveNode` in interface `Indexer`
      Returns:
        the active node that operates this indexer